#include <math.h>
#include <stdio.h>

#define C 8
#define R 8

// compila con -lm

void coord_max(float M[R][C], int *x, int *y);

void coord_min(float M[R][C], int *x, int *y);

float distanza(int xmax, int ymax, int xmin, int ymin);

int main() {
  float M[R][C];
  int xmax, ymax, xmin, ymin;
  for (int i = 0; i < R; i++) {
    for (int j = 0; j < C; j++) {
      scanf("%f", &M[i][j]);
    }
  }
  coord_max(M, &xmax, &ymax);
  coord_min(M, &xmin, &ymin);
  printf("(%d,%d)<->(%d,%d)=%.2f\n", xmax, ymax, xmin, ymin,
         distanza(xmax, ymax, xmin, ymin));
  return 0;
}

void coord_max(float M[R][C], int *x, int *y) {
  *x = 0;
  *y = 0;
  float max = M[0][0]; 

  for (int i=0; i<R; i++) {
    for (int j=0; j<C; j++) {
      if (M[i][j] > max) {
        *x = i;
        *y = j;
        max = M[i][j];
      }
    } 
  }
}

void coord_min(float M[R][C], int *x, int *y) {
  *x = 0;
  *y = 0;
  float min = M[0][0]; 

  for (int i=0; i<R; i++) {
    for (int j=0; j<C; j++) {
      if (M[i][j] < min) {
        *x = i;
        *y = j;
        min = M[i][j];
      }
    } 
  }
}

float distanza(int xmax, int ymax, int xmin, int ymin) {
  float dx = xmax - xmin;
  float dy = ymax - ymin;
  return sqrt((double)(dx*dx + dy*dy));
}